Package com.smartgwt.client.ai

# Class ExecuteQueryDataQuestionStepResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.ExecuteQueryDataQuestionStepResult

All Implemented Interfaces:
  `HasHandlers`

public class ExecuteQueryDataQuestionStepResult extends DataClass

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteQueryDataQuestionStepResult()`
  `ExecuteQueryDataQuestionStepResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEstimatedTotalRows()`
  If available, an estimate of the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.
  `static ExecuteQueryDataQuestionStepResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Record[]`
  `getRecords()`
  The records resulting from the query.
  `ExecuteQueryDataQuestionStep`
  `getStep()`
  `Integer`
  `getTotalRows()`
  If available, the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.
  `ExecuteQueryDataQuestionStepResult`
  `setEstimatedTotalRows(String estimatedTotalRows)`
  If available, an estimate of the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.
  `ExecuteQueryDataQuestionStepResult`
  `setRecords(Record... records)`
  The records resulting from the query.
  `ExecuteQueryDataQuestionStepResult`
  `setStep(ExecuteQueryDataQuestionStep step)`
  `ExecuteQueryDataQuestionStepResult`
  `setTotalRows(Integer totalRows)`
  If available, the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecuteQueryDataQuestionStepResult

    public ExecuteQueryDataQuestionStepResult()

  - ### ExecuteQueryDataQuestionStepResult

    public ExecuteQueryDataQuestionStepResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ExecuteQueryDataQuestionStepResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setEstimatedTotalRows

    public ExecuteQueryDataQuestionStepResult setEstimatedTotalRows(String estimatedTotalRows)
    If available, an estimate of the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.

    The string is in the same format as `DSResponse.estimatedTotalRows`.

    Parameters:
      `estimatedTotalRows` - New estimatedTotalRows value. Default value is *initialized by the implementation*
    Returns:
      `ExecuteQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getEstimatedTotalRows

    public String getEstimatedTotalRows()
    If available, an estimate of the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.

    The string is in the same format as `DSResponse.estimatedTotalRows`.

    Returns:
      Current estimatedTotalRows value. Default value is *initialized by the implementation*

  - ### setRecords

    public ExecuteQueryDataQuestionStepResult setRecords(Record... records)
    The records resulting from the query.
    Parameters:
      `records` - New records value. Default value is *initialized by the implementation*
    Returns:
      `ExecuteQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getRecords

    public Record[] getRecords()
    The records resulting from the query.
    Returns:
      Current records value. Default value is *initialized by the implementation*

  - ### setStep

    public ExecuteQueryDataQuestionStepResult setStep(ExecuteQueryDataQuestionStep step)
    Parameters:
      `step` - New step value. Default value is *initialized by the implementation*
    Returns:
      `ExecuteQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getStep

    public ExecuteQueryDataQuestionStep getStep()
    Returns:
      Current step value. Default value is *initialized by the implementation*

  - ### setTotalRows

    public ExecuteQueryDataQuestionStepResult setTotalRows(Integer totalRows)
    If available, the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.

    This may be `null` if the exact total number of rows is unknown.

    Parameters:
      `totalRows` - New totalRows value. Default value is *initialized by the implementation*
    Returns:
      `ExecuteQueryDataQuestionStepResult` instance, for chaining setter calls

  - ### getTotalRows

    public Integer getTotalRows()
    If available, the total number of rows that would be returned by the query if it were not limited by `DSRequest.startRow` and/or `DSRequest.endRow`.

    This may be `null` if the exact total number of rows is unknown.

    Returns:
      Current totalRows value. Default value is *initialized by the implementation*